{% extends 'kpi/base.html' %}
{% load staticfiles %}
{% block title %}Создать показатель{% endblock %}

{% block extrastyles %}
    <link rel="stylesheet" href="{% static 'css/set_creating_modal.css' %}">
{% endblock %}

{% block content %}
    {% include 'kpi/set_creating_modal.html' %}
    <div class="container set-creating-page">
        <form id="indicator-creating-form" class="form-basic" method="post" action="">
            {% csrf_token %}
            <div class="row">
            <label>
                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
                    <div class="description">Название задачи</div>
                </div>
                <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8">
                    <input type="text" name="context" placeholder="Введите название задачи" required
                    list="context-list"/>
                    <datalist id="context-list">
                        {% for context in indicator_contexts %}
                            <option value="{{ context.name }}" ></option>
                        {% endfor %}
                    </datalist>
                </div>
            </label>
        </div>

        <div class="row">
		    <label>
		        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4"><div class="description">Описание</div></div>
		        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8"><textarea name="description" placeholder="Введите описание" ></textarea></div>
		    </label>
		</div>

        <div class="row">
            <label>
                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4"><div class="description">Департаменты</div></div>
                <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8">
                    <select id="department" name ="department_id" required>
                        {% for department in departments  %}
                            <option value="{{ department.id }}">{{ department.name }}</option>
                        {% endfor %}
                    </select>
                </div>
            </label>
        </div>

        <div class="row set-choice">
            <label>
                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4"><div class="description">Набор</div></div>
                <div class="col-lg-7 col-md-7 col-sm-7 col-xs-7">
                    <select id="set_select" name="set_id" required>
                    </select>
                </div>
            </label>
            <div class="col-lg-1 col-md-1 col-sm-1 col-xs-1">
                <a style="color: black">
                <span id="add-set" class="glyphicon glyphicon-plus"></span>
                </a>
            </div>
        </div>

        <div class="row">
		    <label>
		        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4"><div class="description">Ожидаемый результат</div></div>
                <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8"><input type="number" name="count" placeholder="Введите число" required></div>
		    </label>
		</div>

        <div class="form-row">
            <button type="submit" class="btn btn-primary send">Сохранить</button>
		</div>
        </form>
    </div>
    <script src="{% static 'js/create_indicator.js'%}"></script>
{% endblock %}